BSON_VECTOR_FLOAT32_CONST_VIEW_FROM_ITER(3)

Initialize a bson_vector_float32_const_view_t <> from a bson_iter_t <> pointing to a valid Vector of float32 element type.

SYNOPSIS

            bool
            bson_vector_float32_const_view_from_iter (bson_vector_float32_const_view_t *view_out,
                                                      const bson_iter_t *iter);

PARAMETERS

    •   view_out: A bson_vector_float32_const_view_t <> is written here on success.

    •   iter: A valid bson_iter_t <>.

DESCRIPTION

The provided iterator, which must point to some kind of BSON item, will be checked for a valid Vector of float32 element type. On success, a bson_vector_float32_const_view_t <> is set to point to the same underlying bson_t <> buffer as the provided bson_iter_t <>. The view will only be valid until the containing document is destroyed or modified.

RETURNS

Returns true if the view was successfully initialized.

See also:
        bson_vector_float32_view_from_iter() <>

Author
MongoDB, Inc

Copyright
2009-present, MongoDB, Inc.